{
    attributes = (
        {
            columnName = C_RNE; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_RNE_PERE; 
            externalType = VARCHAR2; 
            name = cRnePere; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_STRUCTURE_PERE; 
            externalType = VARCHAR2; 
            name = cStructurePere; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_STRUCTURE; 
            externalType = VARCHAR2; 
            name = lcStructure; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_STRUCTURE_PERE; 
            externalType = VARCHAR2; 
            name = lcStructurePere; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_STRUCTURE; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cRne); 
    className = EOGenericRecord; 
    classProperties = (
        persId, 
        cStructure, 
        cRne, 
        lcStructure, 
        llStructure, 
        cStructurePere, 
        cRnePere, 
        lcStructurePere
    ); 
    externalName = GRHUM.V_COMPOSANTE_SCOLARITE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumComposanteScolarite; 
    primaryKeyAttributes = (cRne); 
}
